using Game.Resources;
using Godot;

namespace Game;

[SceneTree]
public partial class MeetingControlGfx : PanelContainer
{
    private MeetingResource _meetingResource;

    public MeetingResource MeetingResource
    {
        get => _meetingResource;
        set
        {
            _meetingResource = value;

            UpdateGfx();
        }
    }

    private void UpdateGfx()
    {
        SelfModulate = MeetingResource.Color;
        MeetingTitle.Text = MeetingResource.Title;
    }
}
